<?php
/** 
 * SOTESHOP/appFacebookPlugin
 * 
 * 
 * @package     appFacebookPlugin
 * @author      Bartosz Alejski <whiteface@whiteface.pl>
 */

/** 
 * Enabling frontend and backend modules
 */
stPluginHelper::addEnableModule('appFacebookFrontend', 'frontend');
stPluginHelper::addEnableModule('appFacebookBackend', 'backend');

/** 
 * Adding nessesary Routing
 */
stPluginHelper::addRouting('appFacebookPlugin', '/facebook/*', 'appFacebookFrontend', 'show', 'frontend');
stPluginHelper::addRouting('appFacebookPlugin', '/facebook/*', 'appFacebookBackend', 'config', 'backend');

/**
 * Dodanie do konfiguracji
 */
stConfiguration::addModule('appFacebookPlugin', 'group_2');

$dispatcher->connect('smarty.slot.append', array('appFacebookListener', 'append'));
$dispatcher->connect('smarty.slot.prepend', array('appFacebookListener', 'prepend'));

/**
 * Dodaje sluchacza dla akcji stProduct
 */
    $dispatcher = stEventDispatcher::getInstance();
    $dispatcher->connect('stProductActions.postExecuteShow', array('appFacebookListener', 'postExecuteShow'));