
<?php use_helper('Object', 'Validation', 'ObjectAdmin', 'I18N', 'Date', 'VisualEffect', 'stAdminGenerator') ?>

<?php echo st_get_admin_head('appFacebookPlugin', __('Facebook.'), __('Integracja z facebook'), NULL) ?>  		

<div class="header" style="margin-top: -10px !important;">
    <?php include_partial('menu', array()) ?>
</div>

<div id="sf_admin_content">

<?php if ($sf_flash->has('notice')): ?>
    <div class="save-ok" style="margin-top: 10px !important;">
    <h2><?php echo __($sf_flash->get('notice'), null, 'stAdminGeneratorPlugin') ?></h2>
    </div>
<?php endif; ?>
    
<?php echo form_tag('appFacebookBackend/config') ?>
        
    
<fieldset>
<div class="st_header"><div><h2><?php echo __('Konfiguracja przycisku "lubię to" - karta produktu') ?> </h2></div></div>
<div id="sf_fieldset_none_slide" class="st_fieldset-content">

	<div class="form-row">
	  <label><?php echo __('Włącz przycisk "lubię to"') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[like_product_facebook_on]',true,$config->get('like_product_facebook_on')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
    	<label><?php echo __('Styl przycisku') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[like_product_layout_style]', options_for_select(
		    array('standard' => __('standard'), 
		          'button_count' => __('przycisk + licznik'),
		          'box_count' => __('ramka + licznik'),
		  
		         ),
		    array($config->get('like_product_layout_style'))
		)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>
	
	<div class="form-row">
    	<label><?php echo __('Napis na przycisku') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[like_product_verb]', options_for_select(
		    array('like' => __('lubię to'), 
		          'recommend' => __('polecam')		  
		         ),
		    array($config->get('like_product_verb'))
		)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Pokaż twarze') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[like_product_show_faces]',true,$config->get('like_product_show_faces')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Pokaż przycisk "wyślij"') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[like_product_show_send]',true,$config->get('like_product_show_send')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
    	<label><?php echo __('Schemat koloru') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[like_product_colorscheme]', options_for_select(
		    array('light' => __('jasny'), 
		          'dark' => __('ciemny')
		  
		         ),
		    array($config->get('like_product_colorscheme'))
		)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Kolor tła') ?>:</label>
	  <div class="content">
	   <?php echo input_tag('facebook[like_product_background_color]', $config->get('like_product_background_color'), $config->get('like_product_background_color'), array('maxlength'=>'255')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
		
</div>
</fieldset><fieldset>
<div class="st_header"><div><h2><?php echo __('Konfiguracja przycisku "lubię to" - panel boczny') ?> </h2></div></div>
<div id="sf_fieldset_none_slide" class="st_fieldset-content">

	<div class="form-row">
	  <label><?php echo __('Włącz przycisk "lubię to"') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[like_facebook_on]',true,$config->get('like_facebook_on')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
    	<label><?php echo __('Styl przycisku') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[like_layout_style]', options_for_select(
		    array('standard' => __('standard'), 
		          'button_count' => __('przycisk + licznik'),
		          'box_count' => __('ramka + licznik'),
		  
		         ),
		    array($config->get('like_layout_style'))
		)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>
	
	<div class="form-row">
    	<label><?php echo __('Napis na przycisku') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[like_verb]', options_for_select(
		    array('like' => __('lubię to'), 
		          'recommend' => __('polecam')		  
		         ),
		    array($config->get('like_verb'))
		)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Pokaż twarze') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[like_show_faces]',true,$config->get('like_show_faces')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Pokaż przycisk "wyślij"') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[like_show_send]',true,$config->get('like_show_send')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
    	<label><?php echo __('Schemat koloru') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[like_colorscheme]', options_for_select(
		    array('light' => __('jasny'), 
		          'dark' => __('ciemny')
		  
		         ),
		    array($config->get('like_colorscheme'))
		)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Kolor tła') ?>:</label>
	  <div class="content">
	   <?php echo input_tag('facebook[like_background_color]', $config->get('like_background_color'), $config->get('like_background_color'), array('maxlength'=>'255')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
		
</div>

</fieldset><fieldset>
    
<div class="st_header"><div><h2><?php echo __('Konfiguracja strony facebooka - panel boczny') ?> </h2></div></div>
<div id="sf_fieldset_none_slide" class="st_fieldset-content">

	<div class="form-row">
	  <label><?php echo __('Włącz facebook') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[site_facebook_on]',true,$config->get('site_facebook_on')) ?>
	   <br class="st_clear_all">
	   <a href="http://www.facebook.com/pages/create.php" target="_blank"><?php echo __('Jak założyć własną stronę na facebook ?') ?></a>
	  </div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Adres URL strony facebooka') ?>:</label>
	  <div class="content">
	   <?php echo input_tag('facebook[site_href]', $config->get('site_href'), $config->get('site_href'), array('maxlength'=>'255')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>

	<div class="form-row">
    	<label><?php echo __('Schemat koloru') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[site_colorscheme]', options_for_select(
		    array('light' => __('jasny'), 
		          'dark' => __('ciemny')
		  
		         ),
		    array($config->get('site_colorscheme'))
		)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Kolor ramki') ?>:</label>
	  <div class="content">
	   <?php echo input_tag('facebook[site_border_color]', $config->get('site_border_color'), $config->get('site_border_color'), array('maxlength'=>'255')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Kolor tła') ?>:</label>
	  <div class="content">
	   <?php echo input_tag('facebook[site_background_color]', $config->get('site_background_color'), $config->get('site_background_color'), array('maxlength'=>'255')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Pokaż wiadomości') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[site_stream]',true,$config->get('site_stream')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Pokaż twarze') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[site_show_faces]',true,$config->get('site_show_faces')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
	  <label><?php echo __('Pokaż nagłówek') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[site_show_header]',true,$config->get('site_show_header')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	</div>
	
	<br>

<?php if($is_lock): ?>

</fieldset>
<br/>

<fieldset>

<div class="st_header"><div><h2><?php echo __('Konfiguracja aplikacji facebook') ?> </h2></div></div>
<div id="sf_fieldset_none_slide" class="st_fieldset-content">

      <div class="form-row">
         <label style="color:#ccc;"><?php echo __('App ID') ?>:</label>
         <div class="content">

            <?php echo input_tag('facebook[facebook_app_id]', $config->get('facebook_app_id'), array('disabled' => true)) ?>
            <br class="st_clear_all">
         </div>
      </div>

      <div class="form-row">
         <label style="color:#ccc;"><?php echo __('App Secret') ?>:</label>
         <div class="content">
            <?php echo input_tag('facebook[facebook_app_secret]', $config->get('facebook_app_secret'), array('disabled' => true)) ?>
            <br class="st_clear_all">

         </div>
      </div>

      <div class="form-row">
      	<a  style="color:#ccc;" target="_blank" href="http://blog.sote.pl/?p=8561"><?php echo __('Jak uzyskać App ID oraz App Secret') ?></a>
      </div>

   </div>
</fieldset><fieldset>



<div class="st_header"><div><h2><?php echo __('Logowanie facebooka') ?> </h2></div></div>
<div id="sf_fieldset_none_slide" class="st_fieldset-content">

	<div class="form-row">
	  <label style="color:#ccc;"><?php echo __('Włącz logowanie facebook') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[login_facebook_on]',true,$config->get('login_facebook_on'), array('disabled' => true)) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
        <label style="color:#ccc;"><?php echo __('Wersja API') ?>:<a class="help" title="<?php echo __('Nowa wersja API działa tylko dla wersji PHP 5.4 lub nowszej. Twoja wersja PHP to ').'<b>'.phpversion().'</b>' ?>" href="#"></a></label>
          <div class="content">
           <?php echo select_tag('facebook[api_version]', options_for_select(
            array('1' => __('stara'),
                  '2' => __('nowa')

                 ),
            array($config->get('api_version'))
        ), array('disabled' => true)) ?>
          <br class="st_clear_all">
        </div>
    </div>

</div>

</fieldset><fieldset>
	
<div class="st_header"><div><h2><?php echo __('Konfiguracja komentarzy facebooka') ?> </h2></div></div>
<div id="sf_fieldset_none_slide" class="st_fieldset-content">

	<div class="form-row">
	  <label style="color:#ccc;"><?php echo __('Włącz komentarze facebook') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[comments_facebook_on]',true,$config->get('comments_facebook_on'), array('disabled' => true)) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
	  <label style="color:#ccc;"><?php echo __('Moderowanie komentarzy') ?>:</label>
	  <div class="content">
	   <a style="color:#ccc;" target="_blank" href="http://developers.facebook.com/tools/comments">http://developers.facebook.com/tools/comments</a>
	   <br class="st_clear_all">
	  </div>
	</div>

    <div class="form-row">
    	<label style="color:#ccc;"><?php echo __('Położenie') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[comments_position]', options_for_select(
		    array('before' => __('przed komentarzami'),
		          'after' => __('za komentarzmi')

		         ),
		    array($config->get('comments_position'))
		), array('disabled' => true)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>
	
	<div class="form-row">
    	<label style="color:#ccc;"><?php echo __('Schemat koloru') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[comments_colorscheme]', options_for_select(
		    array('light' => __('jasny'), 
		          'dark' => __('ciemny')
		  
		         ),
		    array($config->get('comments_colorscheme'))
		), array('disabled' => true)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>
	
    <?php if (!stTheme::hideOldConfiguration()): ?>		
	<div class="form-row">
	  <label style="color:#ccc;"><?php echo __('Szerokość') ?>:</label>
	  <div class="content">
	   <?php echo input_tag('facebook[comments_width]', $config->get('comments_width'), array('disabled' => true)) ?> px
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<?php endif; ?>
	
	<div class="form-row">
	  <label style="color:#ccc;"><?php echo __('Liczba komentarzy') ?>:</label>
	  <div class="content">
             <?php echo select_tag('facebook[comments_number]', options_for_select(
		    array('1' => __('1'),
		          '2' => __('2'),
                          '3' => __('3'),
                          '4' => __('4'),
                          '5' => __('5'),
                          '6' => __('6'),
                          '7' => __('7'),
                          '8' => __('8'),
                          '9' => __('9'),
                          '10' => __('10'),
		         ),
		    array($config->get('comments_number'))
		), array('disabled' => true)) ?>
	   <br class="st_clear_all">   
	  </div>
	</div>
	
</div>

<?php else: ?>
</fieldset><fieldset>
    
<div class="st_header"><div><h2><?php echo __('Konfiguracja aplikacji facebook') ?> </h2></div></div>
<div id="sf_fieldset_none_slide" class="st_fieldset-content">

      <div class="form-row">
         <label><?php echo __('App ID') ?>:</label>
         <div class="content">
            <?php echo input_tag('facebook[facebook_app_id]', $config->get('facebook_app_id'), array('maxlength'=>'255')) ?>
            <br class="st_clear_all">
         </div>
      </div>

      <div class="form-row">
         <label><?php echo __('App Secret') ?>:</label>
         <div class="content">
            <?php echo input_tag('facebook[facebook_app_secret]', $config->get('facebook_app_secret'), array('maxlength'=>'255')) ?>
            <br class="st_clear_all">

         </div>
      </div>

      <div class="form-row">
      	<a target="_blank" href="http://www.blog.whiteface.pl/?page_id=94#app"><?php echo __('Jak uzyskać App ID oraz App Secret') ?></a>
      </div>

   </div>
</fieldset><fieldset>



<div class="st_header"><div><h2><?php echo __('Logowanie facebooka') ?> </h2></div></div>
<div id="sf_fieldset_none_slide" class="st_fieldset-content">

	<div class="form-row">
	  <label><?php echo __('Włącz logowanie facebook') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[login_facebook_on]',true,$config->get('login_facebook_on')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>
	
	<div class="form-row">
        <label><?php echo __('Wersja API') ?>:<a class="help" title="<?php echo __('Nowa wersja API działa tylko dla wersji PHP 5.4 lub nowszej. Twoja wersja PHP to ').'<b>'.phpversion().'</b>' ?>" href="#"></a></label>
          <div class="content">
       
            <?php if (version_compare(PHP_VERSION, '5.4.0') >= 0): ?>
                
                <?php echo select_tag('facebook[api_version]', options_for_select(
                array('1' => __('stara'),
                      '2' => __('nowa')),
                array($config->get('api_version'))
                )) ?>
            <?php else: ?>
                <?php echo select_tag('facebook[api_version]', options_for_select(
                array('1' => __('stara'),
                      '2' => __('nowa')),
                array($config->get('api_version'))
                ), array('disabled' => true)) ?>
                
            <?php endif; ?>
        
          <br class="st_clear_all">
        </div>
    </div>

</div>

</fieldset><fieldset>

<div class="st_header"><div><h2><?php echo __('Konfiguracja komentarzy facebooka') ?> </h2></div></div>
<div id="sf_fieldset_none_slide" class="st_fieldset-content">

	<div class="form-row">
	  <label><?php echo __('Włącz komentarze facebook') ?>:</label>
	  <div class="content">
	   <?php echo checkbox_tag('facebook[comments_facebook_on]',true,$config->get('comments_facebook_on')) ?>
	   <br class="st_clear_all">
	  </div>
	</div>

	<div class="form-row">
	  <label><?php echo __('Moderowanie komentarzy') ?>:</label>
	  <div class="content">
	   <a target="_blank" href="http://developers.facebook.com/tools/comments">http://developers.facebook.com/tools/comments</a>
	   <br class="st_clear_all">
	  </div>
	</div>

        <div class="form-row">
    	<label><?php echo __('Położenie') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[comments_position]', options_for_select(
		    array('before' => __('przed komentarzami'),
		          'after' => __('za komentarzmi')

		         ),
		    array($config->get('comments_position'))
		)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>

	<div class="form-row">
    	<label><?php echo __('Schemat koloru') ?>:</label>
		  <div class="content">
		   <?php echo select_tag('facebook[comments_colorscheme]', options_for_select(
		    array('light' => __('jasny'),
		          'dark' => __('ciemny')

		         ),
		    array($config->get('comments_colorscheme'))
		)) ?>
		  <br class="st_clear_all">
  		</div>
	</div>

    <?php if (!stTheme::hideOldConfiguration()): ?>
	<div class="form-row">
	  <label><?php echo __('Szerokość') ?>:</label>
	  <div class="content">
	   <?php echo input_tag('facebook[comments_width]', $config->get('comments_width'), $config->get('comments_width'), array('maxlength'=>'255')) ?> px
	   <br class="st_clear_all">
	  </div>
	</div>
	<?php endif ?>

	<div class="form-row">
	  <label><?php echo __('Liczba komentarzy') ?>:</label>
	  <div class="content">
             <?php echo select_tag('facebook[comments_number]', options_for_select(
		    array('1' => __('1'),
		          '2' => __('2'),
                          '3' => __('3'),
                          '4' => __('4'),
                          '5' => __('5'),
                          '6' => __('6'),
                          '7' => __('7'),
                          '8' => __('8'),
                          '9' => __('9'),
                          '10' => __('10'),
		         ),
		    array($config->get('comments_number'))
		)) ?>
	   <br class="st_clear_all">
	  </div>
	</div>

</div>

<?php endif; ?>

</fieldset>

<?php echo st_get_admin_actions_head() ?>
<?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin')) ?>
<?php echo st_get_admin_actions_foot() ?>

</form>

</div>
    
    
<br class="st_clear_all">
<?php echo st_get_admin_foot() ?>