<?php

class appFacebookFrontendComponents extends sfComponents
{
    
    public function facebookCulture()
    {
        if($this->getUser()->getCulture()=="ar"){
            $this->user_culture = "ar_AR";
        }elseif($this->getUser()->getCulture()=="bg"){
            $this->user_culture = "bg_BG";
        }elseif($this->getUser()->getCulture()=="cs"){
            $this->user_culture = "cs_CZ";
        }elseif($this->getUser()->getCulture()=="da"){
            $this->user_culture = "da_DK";
        }elseif($this->getUser()->getCulture()=="de"){
            $this->user_culture = "de_DE";
        }elseif($this->getUser()->getCulture()=="el"){
            $this->user_culture = "el_GR";
        }elseif($this->getUser()->getCulture()=="en_US"){
            $this->user_culture = "en_US";
        }elseif($this->getUser()->getCulture()=="es"){
            $this->user_culture = "es_ES";
        }elseif($this->getUser()->getCulture()=="et"){
            $this->user_culture = "et_EE";
        }elseif($this->getUser()->getCulture()=="fi"){
            $this->user_culture = "fi_FI";
        }elseif($this->getUser()->getCulture()=="fr"){
            $this->user_culture = "fr_FR";
        }elseif($this->getUser()->getCulture()=="he"){
            $this->user_culture = "he_IL";
        }elseif($this->getUser()->getCulture()=="hr"){
            $this->user_culture = "hr_HR";
        }elseif($this->getUser()->getCulture()=="hu"){
            $this->user_culture = "hu_HU";
        }elseif($this->getUser()->getCulture()=="it"){
            $this->user_culture = "it_IT";
        }elseif($this->getUser()->getCulture()=="ja"){
            $this->user_culture = "ja_JP";
        }elseif($this->getUser()->getCulture()=="ko"){
            $this->user_culture = "ko_KR";
        }elseif($this->getUser()->getCulture()=="lt"){
            $this->user_culture = "lt_LT";
        }elseif($this->getUser()->getCulture()=="lv"){
            $this->user_culture = "lv_LV";
        }elseif($this->getUser()->getCulture()=="nl"){
            $this->user_culture = "nl_NL";
        }elseif($this->getUser()->getCulture()=="no"){
            $this->user_culture = "nb_NO";
        }elseif($this->getUser()->getCulture()=="pl_PL"){
            $this->user_culture = "pl_PL";
        }elseif($this->getUser()->getCulture()=="pt"){
            $this->user_culture = "pt_PT";
        }elseif($this->getUser()->getCulture()=="ro"){
            $this->user_culture = "ro_RO";
        }elseif($this->getUser()->getCulture()=="ru"){
            $this->user_culture = "ru_RU";
        }elseif($this->getUser()->getCulture()=="sk"){
            $this->user_culture = "sk_SK";
        }elseif($this->getUser()->getCulture()=="sl"){
            $this->user_culture = "sl_SI";
        }elseif($this->getUser()->getCulture()=="sv"){
            $this->user_culture = "sv_SE";
        }elseif($this->getUser()->getCulture()=="tr"){
            $this->user_culture = "tr_TR";
        }elseif($this->getUser()->getCulture()=="zh"){
            $this->user_culture = "zh_HK";
        }
        
        return $this->user_culture;
    }
    
    /**
     * Komponent banera
     */
    public function executeShow()
    {
        if (MobileDetect::getInstance()->isMobile()){
            return sfView::NONE;
        }

        $this->smarty = new stSmarty('appFacebookFrontend');

        $config = stConfig::getInstance('appFacebookBackend');
        $this->facebookConfig = $config->load();
        
        $this -> securityConfig = stConfig::getInstance('stSecurityBackend');
        
        $this->user_culture = $this->facebookCulture();


    }
    
    public function executeShowInProduct()
    {
        if (MobileDetect::getInstance()->isMobile()){
            return sfView::NONE;
        }
        $this->smarty = new stSmarty('appFacebookFrontend');

        $config = stConfig::getInstance('appFacebookBackend');
        $this->facebookConfig = $config->load();
        
        $this -> securityConfig = stConfig::getInstance('stSecurityBackend');
           
        $this->url = $this->getController()->genUrl(sfRouting::getInstance()->getCurrentInternalUri(true), true);   
           
        $this->user_culture = $this->facebookCulture();
    }
    
    public function executeShowMetaTags()
    {                
        
        if (MobileDetect::getInstance()->isMobile()){
            return sfView::NONE;
        }
        $config = stConfig::getInstance('appFacebookBackend');
        
        $facebookConfig = $config->load();
        
        if($facebookConfig['like_product_facebook_on']=='1' || $facebookConfig['like_facebook_on']=='1' || $facebookConfig['site_facebook_on']=='1'){
        
        $this->facebookConfig = $config->load();
        
        $this->securityConfig = stConfig::getInstance('stSecurityBackend');

        $this->user_culture = $this->facebookCulture();

          
        }
        else
        {
            return sfView::NONE;
        }

    }

    public function executeShowComments()
    {
        
        if (MobileDetect::getInstance()->isMobile()){
            return sfView::NONE;
        }
        $this->smarty = new stSmarty('appFacebookFrontend');

        $config = stConfig::getInstance('appFacebookBackend');
        $this->facebookConfig = $config->load();
        
        $this -> securityConfig = stConfig::getInstance('stSecurityBackend');
        
        $this->url = $this->getController()->genUrl(sfRouting::getInstance()->getCurrentInternalUri(true), true);
           
        $this->user_culture = $this->facebookCulture();
    }
    
    public function executeShowLoginBasket()
    {
        

        if (MobileDetect::getInstance()->isMobile()){
            return sfView::NONE;
        }
        $this->smarty = new stSmarty('appFacebookFrontend');

        $config = stConfig::getInstance('appFacebookBackend');
        $facebookConfig = $config->load();
        $this->facebookConfig = $facebookConfig;
        
        $securityConfig = stConfig::getInstance('stSecurityBackend');
        $this -> securityConfig = $securityConfig;                        
        
        if($facebookConfig['api_version']!=2){
            
            $this -> url = "/appFacebookFrontend/FacebookSingIn/back/basket";
            
        }else{                    
                
        require_once SF_ROOT_DIR.'/apps/frontend/lib/facebook/autoload.php';
        $this->getUser()->setAttribute('facebook_app_id', $facebookConfig['facebook_app_id']);
        $this->getUser()->setAttribute('facebook_app_secret', $facebookConfig['facebook_app_secret']);
        require_once SF_ROOT_DIR.'/apps/frontend/lib/facebook/init.php';
            
            if($securityConfig->get('ssl')!=""){
                $path = 'https://'.$_SERVER['SERVER_NAME'].'/appFacebookFrontend/FacebookSingIn/back/basket';
            } else {
                $path = 'http://'.$_SERVER['SERVER_NAME'].'/appFacebookFrontend/FacebookSingIn/back/basket';                
            }
              
            $helper = $fb->getRedirectLoginHelper();
            
            $permissions = array('email');
            $loginUrl = $helper->getLoginUrl($path,$permissions);
                            
            $this -> url = htmlspecialchars($loginUrl);   
        
        }
        
    }
    
    public function executeShowLoginUser()
    {
          
        if (MobileDetect::getInstance()->isMobile()){
            return sfView::NONE;
        }

        $this->smarty = new stSmarty('appFacebookFrontend');

        $config = stConfig::getInstance('appFacebookBackend');
        $facebookConfig = $config->load();
        $this->facebookConfig = $facebookConfig;
        
        $securityConfig = stConfig::getInstance('stSecurityBackend');
        $this -> securityConfig = $securityConfig;
        
         if($facebookConfig['api_version']!=2){
            
            $this -> url = "/appFacebookFrontend/FacebookSingIn/back/create";
            
        }else{                    
                
        require_once SF_ROOT_DIR.'/apps/frontend/lib/facebook/autoload.php';
        $this->getUser()->setAttribute('facebook_app_id', $facebookConfig['facebook_app_id']);
        $this->getUser()->setAttribute('facebook_app_secret', $facebookConfig['facebook_app_secret']);
        require_once SF_ROOT_DIR.'/apps/frontend/lib/facebook/init.php';            
            
            if($securityConfig->get('ssl')!=""){
                $path = 'https://'.$_SERVER['SERVER_NAME'].'/appFacebookFrontend/FacebookSingIn/back/create';
            } else {
                $path = 'http://'.$_SERVER['SERVER_NAME'].'/appFacebookFrontend/FacebookSingIn/back/create';                
            }
              
            $helper = $fb->getRedirectLoginHelper();
            
            $permissions = array('email');
            $loginUrl = $helper->getLoginUrl($path,$permissions);
                            
            $this -> url = htmlspecialchars($loginUrl);
        
        }
        
        
    }
    
}