<?php
/** 
 * SOTESHOP/appFacebookPlugin
 * 
 * 
 * @package     appFacebookPlugin
 * @author      Bartosz Alejski <whiteface@whiteface.pl>
 */
class appFacebookBackendActions extends sfActions
{
     
   public function executeConfig()
   {
      
          if(stWebStore::isBlocked('appFacebookPlugin'))
          {
            $config = stConfig::getInstance($this->getContext(), 'appFacebookBackend');
            
            $config->set('comments_facebook_on', 0);
            $config->set('login_facebook_on', 0);
            $config->set('comments_width', 535);
            $config->set('comments_position', 'before');
            $config->save(true);
            
            stFastCacheManager::clearCache();
            foreach (glob(sfConfig::get('sf_root_dir').'/cache/smarty_c/*') as $file)
            {
                   unlink($file);
            }
    
            $packageInfo = stWebStore::getPackageInfo('appFacebookPlugin');
            $this->buyLink = false;
            if ($packageInfo) {
               $this->buyLink = $packageInfo['url'];
            }
    
          }

        $this->config = stConfig::getInstance($this->getContext(), 'appFacebookBackend');
        if ($this->getRequest()->getMethod() == sfRequest::POST)
        {
            $this->config->setFromRequest('facebook');
            $this->config->save(true);
            stTheme::clearSmartyCache(true);
            stFastCacheManager::clearCache();
            foreach (glob(sfConfig::get('sf_root_dir').'/cache/smarty_c/*') as $file)
            {
               unlink($file);
            }
        
            $this->setFlash('notice', 'Twoje zmiany zostały zapisane');                  
            $this->redirect('appFacebookBackend/config');
            
        }
        
        $this->is_lock = stWebStore::isBlocked('appFacebookPlugin');        
           
    }
    
   public function executeInfo()
   {
      
   }
}